package com.goomood.phm.service;

import com.goomood.phm.domain.KGraphClause;

import java.util.List;

public interface IKGraphClauseService {


    List<KGraphClause> selectList(KGraphClause po);
    /**
     * 修改知识图谱分句结果
     *
     * @param po 知识图谱分句结果Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    Boolean update(KGraphClause po);
    /**
     * 查询知识图谱分句结果
     *
     * @param id 知识图谱分句结果主键
     * @return 知识图谱分句结果
     */
    KGraphClause selectById(Long id);
    /**
     * 新增知识图谱分句结果
     */
    Boolean saveBatch(List<KGraphClause> graphClauseList);
    /**
     * 新增知识图谱分句结果
     */
    boolean insert(KGraphClause po);
    /**
     * 批量删除知识图谱分句结果
     *
     * @param ids 需要删除的知识图谱分句结果主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);
//    /**
//     * 新增知识图谱分句结果，前台提供主键值，一般用于导入的场合
//     *
//     * @param po 知识图谱分句结果Bo
//     * @return 结果:true 操作成功，false 操作失败
//     */
//    boolean insertWithPk(KGraphClause po);
}
